<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural Network Interface for Quantum Observable Readout from N-body wavefunctions: New_Function_Rui_Branch.txt File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_rainbow_400.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural Network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('New__Function__Rui__Branch_8txt.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">New_Function_Rui_Branch.txt File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab2c5f2ff6dd10b65c8a130be1f1884f7"><td class="memItemLeft" align="right" valign="top">The data can now be stored in a e g data Implement the data inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the data in the training set will be duplicated The duplicate is then inverted along the x if its data label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the data in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If the data in the *testing *set will also be filtered according to the threshold If the number of valid&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> (which are not discarded) is lower than the required data number NDatasets</td></tr>
<tr class="separator:ab2c5f2ff6dd10b65c8a130be1f1884f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba448cfff2499450dc8d3b419859403b"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *testing *set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for loading single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the and shuffle them into random order A progress bar is implemented for non on the fly <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> (when batch_loading=False) The <a class="el" href="New__Function__Rui__Branch_8txt.html#aa989e38111e0c85bbd3e6e48c7997be6">module</a> tqdm is used. The probramm will detect the availability of this <a class="el" href="New__Function__Rui__Branch_8txt.html#aa989e38111e0c85bbd3e6e48c7997be6">module</a></td></tr>
<tr class="separator:aba448cfff2499450dc8d3b419859403b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a548d35e5e4c96bb889333296f01af8fc"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *testing *set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the and shuffle them into random order A progress bar is implemented for non on the fly <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> and will not activate progress bar if tqdm is not installed The runtime check is now moved into a separate before any&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a548d35e5e4c96bb889333296f01af8fc">other</a> (unnecessary) modules are loaded. It will further check the availability and versions of the <a class="el" href="New__Function__Rui__Branch_8txt.html#aa989e38111e0c85bbd3e6e48c7997be6">module</a>(for example</td></tr>
<tr class="separator:a548d35e5e4c96bb889333296f01af8fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aab14e71aa0990ccc801c8a301de04515"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#aab14e71aa0990ccc801c8a301de04515">subfolder</a></td></tr>
<tr class="separator:aab14e71aa0990ccc801c8a301de04515"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15415318ea76215c4044cb9e742e1274"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is triggered by the flag AxisFlipping Once&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a></td></tr>
<tr class="separator:a15415318ea76215c4044cb9e742e1274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d655dd46e002cc25d5fddf16b46c759"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a0d655dd46e002cc25d5fddf16b46c759">axis</a></td></tr>
<tr class="separator:a0d655dd46e002cc25d5fddf16b46c759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2b13991a0ef12bc66937ac519b112be"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#af2b13991a0ef12bc66937ac519b112be">following</a></td></tr>
<tr class="separator:af2b13991a0ef12bc66937ac519b112be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a1eea15b76175e86e79ac02677a031f"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a2a1eea15b76175e86e79ac02677a031f">DENS</a></td></tr>
<tr class="separator:a2a1eea15b76175e86e79ac02677a031f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b9f0909d791ff4153d5d164a72d4604"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a0b9f0909d791ff4153d5d164a72d4604">POT</a></td></tr>
<tr class="separator:a0b9f0909d791ff4153d5d164a72d4604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f31b8e6645592fb4a74c0163b15721c"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a3f31b8e6645592fb4a74c0163b15721c">CORR1</a></td></tr>
<tr class="separator:a3f31b8e6645592fb4a74c0163b15721c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb0d8c2a0ceb70e7325a73111785827a"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#adb0d8c2a0ceb70e7325a73111785827a">CORR2</a></td></tr>
<tr class="separator:adb0d8c2a0ceb70e7325a73111785827a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47f83bdcdbd21ae520ccda041fdcf694"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a47f83bdcdbd21ae520ccda041fdcf694">RHO1</a></td></tr>
<tr class="separator:a47f83bdcdbd21ae520ccda041fdcf694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19b7d90c20cf6d60ad38b3f455ce6d72"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag DataThreshold Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> =True is also activated</td></tr>
<tr class="separator:a19b7d90c20cf6d60ad38b3f455ce6d72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0044fdb9c1a61156a72cba84bce67ebf"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *testing *set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a0044fdb9c1a61156a72cba84bce67ebf">time</a></td></tr>
<tr class="separator:a0044fdb9c1a61156a72cba84bce67ebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c3ae2282e312dbdc1fd8e9c45ce16f9"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *testing *set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each wavefunction will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a></td></tr>
<tr class="separator:a8c3ae2282e312dbdc1fd8e9c45ce16f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa989e38111e0c85bbd3e6e48c7997be6"><td class="memItemLeft" align="right" valign="top">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *testing *set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the and shuffle them into random order A progress bar is implemented for non on the fly <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> and will not activate progress bar if tqdm is not installed The runtime check is now moved into a separate&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="New__Function__Rui__Branch_8txt.html#aa989e38111e0c85bbd3e6e48c7997be6">module</a></td></tr>
<tr class="separator:aa989e38111e0c85bbd3e6e48c7997be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ab2c5f2ff6dd10b65c8a130be1f1884f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2c5f2ff6dd10b65c8a130be1f1884f7">&#9670;&nbsp;</a></span>data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The data can now be stored in a e g data Implement the data inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the data in the training set will be duplicated The duplicate is then inverted along the x if its data label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the data in the* training* set with label between DataThresholdLow and DataThresholdHigh will be discarded If the data in the* testing* set will also be filtered according to the threshold If the number of valid data </td>
          <td>(</td>
          <td class="paramtype">which are not&#160;</td>
          <td class="paramname"><em>discarded</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba448cfff2499450dc8d3b419859403b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba448cfff2499450dc8d3b419859403b">&#9670;&nbsp;</a></span>loading()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* training* set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* testing* set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for loading single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the and shuffle them into random order A progress bar is implemented for non on the fly <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> loading </td>
          <td>(</td>
          <td class="paramtype">when&#160;</td>
          <td class="paramname"><em>batch_loading</em> = <code>False</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a548d35e5e4c96bb889333296f01af8fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a548d35e5e4c96bb889333296f01af8fc">&#9670;&nbsp;</a></span>other()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* training* set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* testing* set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the and shuffle them into random order A progress bar is implemented for non on the fly <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> and will not activate progress bar if tqdm is not installed The runtime check is now moved into a separate before any other </td>
          <td>(</td>
          <td class="paramtype">unnecessary&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a0d655dd46e002cc25d5fddf16b46c759"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d655dd46e002cc25d5fddf16b46c759">&#9670;&nbsp;</a></span>axis</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x axis</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f31b8e6645592fb4a74c0163b15721c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f31b8e6645592fb4a74c0163b15721c">&#9670;&nbsp;</a></span>CORR1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the CORR1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adb0d8c2a0ceb70e7325a73111785827a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb0d8c2a0ceb70e7325a73111785827a">&#9670;&nbsp;</a></span>CORR2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the CORR2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a19b7d90c20cf6d60ad38b3f455ce6d72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19b7d90c20cf6d60ad38b3f455ce6d72">&#9670;&nbsp;</a></span>DataThreshold</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag DataThreshold Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* training* set with label between DataThresholdLow and DataThresholdHigh will be discarded If DataThreshold =True is also activated</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a1eea15b76175e86e79ac02677a031f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a1eea15b76175e86e79ac02677a031f">&#9670;&nbsp;</a></span>DENS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the DENS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2b13991a0ef12bc66937ac519b112be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2b13991a0ef12bc66937ac519b112be">&#9670;&nbsp;</a></span>following</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the following</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa989e38111e0c85bbd3e6e48c7997be6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa989e38111e0c85bbd3e6e48c7997be6">&#9670;&nbsp;</a></span>module</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* training* set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* testing* set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the and shuffle them into random order A progress bar is implemented for non on the fly <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> and will not activate progress bar if tqdm is not installed The runtime check is now moved into a separate module</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b9f0909d791ff4153d5d164a72d4604"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b9f0909d791ff4153d5d164a72d4604">&#9670;&nbsp;</a></span>POT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the POT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a47f83bdcdbd21ae520ccda041fdcf694"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47f83bdcdbd21ae520ccda041fdcf694">&#9670;&nbsp;</a></span>RHO1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab14e71aa0990ccc801c8a301de04515"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab14e71aa0990ccc801c8a301de04515">&#9670;&nbsp;</a></span>subfolder</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a subfolder</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0044fdb9c1a61156a72cba84bce67ebf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0044fdb9c1a61156a72cba84bce67ebf">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* training* set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* testing* set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each <a class="el" href="New__Function__Rui__Branch_8txt.html#a8c3ae2282e312dbdc1fd8e9c45ce16f9">wavefunction</a> will be fed into the neural network MultiSSS_NOrder times Each time</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a15415318ea76215c4044cb9e742e1274"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15415318ea76215c4044cb9e742e1274">&#9670;&nbsp;</a></span>triggered</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is triggered by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is triggered by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *training *set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the *testing *set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is triggered by the flag MultiSSSOrder Once triggered</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c3ae2282e312dbdc1fd8e9c45ce16f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c3ae2282e312dbdc1fd8e9c45ce16f9">&#9670;&nbsp;</a></span>wavefunction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">The <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> can now be stored in a e g <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> Implement the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> inversion It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag AxisFlipping Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the training set will be duplicated The duplicate is then inverted along the x if its <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> label type is one of the RHO2 Implement threshold for label type FRAG and NPAR It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag <a class="el" href="New__Function__Rui__Branch_8txt.html#a19b7d90c20cf6d60ad38b3f455ce6d72">DataThreshold</a> Once the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* training* set with label between DataThresholdLow and DataThresholdHigh will be discarded If the <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> in the* testing* set will also be filtered according to the threshold If the number of valid <a class="el" href="New__Function__Rui__Branch_8txt.html#ab2c5f2ff6dd10b65c8a130be1f1884f7">data</a> will be duplicated Implement multiple orders for <a class="el" href="New__Function__Rui__Branch_8txt.html#aba448cfff2499450dc8d3b419859403b">loading</a> single shot images It is <a class="el" href="New__Function__Rui__Branch_8txt.html#a15415318ea76215c4044cb9e742e1274">triggered</a> by the flag MultiSSSOrder Once the SSS of each wavefunction will be fed into the neural network MultiSSS_NOrder times Each the extractor will randomly extract NShots single shot images of the wavefunction</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="New__Function__Rui__Branch_8txt.html">New_Function_Rui_Branch.txt</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
